Aden

User

Authenticated user's own account data — profile, identities, notifications, preferences

GET
/api/v1/flags/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/flags/"
GET
/api/v1/stats/overview

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/stats/overview?teamId=string"
GET
/api/v1/user/profile

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/profile"
GET
/api/v1/user/identities

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/identities"
GET
/api/v1/user/notifications

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/notifications"
GET
/api/v1/user/preferences

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/preferences"
POST
/api/v1/user/push-tokens

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/user/push-tokens" \  -H "Content-Type: application/json" \  -d '{    "token": "string",    "platform": "ios"  }'
DELETE
/api/v1/user/push-tokens

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X DELETE "https://example.com/api/v1/user/push-tokens" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
GET
/api/v1/user/account/deletion-status

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/account/deletion-status"
DELETE
/api/v1/user/account

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X DELETE "https://example.com/api/v1/user/account" \  -H "Content-Type: application/json" \  -d '{    "confirmation": "string"  }'
Was this helpful?